default gallery_page_i = 1
default replay_page_i = 1
default special_page_i = 1

screen gallerymenu():
    tag menu


    add gui.main_menu_background


    hbox:
        xalign 0.5
        yalign 0.5
        imagebutton auto "gui/ga_images_%s.png" focus_mask True action ShowMenu("gallery")

        imagebutton auto "gui/ga_scenes_%s.png" focus_mask True action ShowMenu("galleryscenes")

        imagebutton auto "gui/ga_exclusives_%s.png" focus_mask True action ShowMenu("gallerypatreon")


    imagebutton auto "gui/mm_return_%s.png" xpos 0 ypos 1030 focus_mask True action [ Return(), PauseAudio('music', False) ]



screen gallery():
    tag menu

    add gui.main_menu_background
    text "{size=65}{color=FFFFFF}Image Gallery{/color}{/size}" ypos 70 xalign 0.5

    if gallery_page_i == 1:
        vbox:
            xalign 0.5
            yalign 0.5
            spacing 40
            hbox:
                spacing 60
                if persistent.i1 or persistent.gallery_unlocked:
                    imagebutton auto "f008small_%s" hover_sound "audio/battle/hover.wav" action Show("f008")
                else:
                    add "gallery_lock"

                if persistent.i2 or persistent.gallery_unlocked:
                    imagebutton auto "f023small_%s" hover_sound "audio/battle/hover.wav" action Show("f023")
                else:
                    add "gallery_lock"

                if persistent.i3 or persistent.gallery_unlocked:
                    imagebutton auto "kt063small_%s" hover_sound "audio/battle/hover.wav" action Show("kt063")
                else:
                    add "gallery_lock"
            hbox:
                spacing 60


                if persistent.i4 or persistent.gallery_unlocked:
                    imagebutton auto "mr014small_%s" hover_sound "audio/battle/hover.wav" action Show("mr014")
                else:
                    add "gallery_lock"

                if persistent.i4 or persistent.gallery_unlocked:
                    imagebutton auto "mr016small_%s" hover_sound "audio/battle/hover.wav" action Show("mr016")
                else:
                    add "gallery_lock"

                if persistent.i4 or persistent.gallery_unlocked:
                    imagebutton auto "mr027small_%s" hover_sound "audio/battle/hover.wav" action Show("mr027")
                else:
                    add "gallery_lock"

        imagebutton auto "gui/mm_next_%s.png" xpos 1740 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 2)
    elif gallery_page_i == 2:
        vbox:
            xalign 0.5
            yalign 0.5
            spacing 40
            hbox:
                spacing 60

                if persistent.i5 or persistent.gallery_unlocked:
                    imagebutton auto "nbs001small_%s" hover_sound "audio/battle/hover.wav" action Show("nbs001")
                else:
                    add "gallery_lock"

                if persistent.i5 or persistent.gallery_unlocked:
                    imagebutton auto "nbs013small_%s" hover_sound "audio/battle/hover.wav" action Show("nbs013")
                else:
                    add "gallery_lock"

                if persistent.i6 or persistent.gallery_unlocked:
                    imagebutton auto "nt025small_%s" hover_sound "audio/battle/hover.wav" action Show("nt025")
                else:
                    add "gallery_lock"

            hbox:
                spacing 60
                if persistent.i6 or persistent.gallery_unlocked:
                    imagebutton auto "nt026small_%s" hover_sound "audio/battle/hover.wav" action Show("nt026")
                else:
                    add "gallery_lock"

                if persistent.i7 or persistent.gallery_unlocked:
                    imagebutton auto "ff004small_%s" hover_sound "audio/battle/hover.wav" action Show("ff004")
                else:
                    add "gallery_lock"

                if persistent.i8 or persistent.gallery_unlocked:
                    imagebutton auto "ff008small_%s" hover_sound "audio/battle/hover.wav" action Show("ff008")
                else:
                    add "gallery_lock"

        imagebutton auto "gui/mm_previous_%s.png" xpos 1560 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 1)
        imagebutton auto "gui/mm_next_%s.png" xpos 1740 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 3)

    elif gallery_page_i == 3:
        vbox:
            xalign 0.5
            yalign 0.5
            spacing 40
            hbox:
                spacing 60

                if persistent.i9 or persistent.gallery_unlocked:
                    imagebutton auto "fcmp026small_%s" hover_sound "audio/battle/hover.wav" action Show("fcmp026")
                else:
                    add "gallery_lock"

                if persistent.i10 or persistent.gallery_unlocked:
                    imagebutton auto "fcmp063small_%s" hover_sound "audio/battle/hover.wav" action Show("fcmp063")
                else:
                    add "gallery_lock"

                if persistent.i11 or persistent.gallery_unlocked:
                    imagebutton auto "fcmp140small_%s" hover_sound "audio/battle/hover.wav" action Show("fcmp140")
                else:
                    add "gallery_lock"

            hbox:
                spacing 60
                if persistent.i12 or persistent.gallery_unlocked:
                    imagebutton auto "fcmp157small_%s" hover_sound "audio/battle/hover.wav" action Show("fcmp157")
                else:
                    add "gallery_lock"

                if persistent.i13 or persistent.gallery_unlocked:
                    imagebutton auto "fcmp177small_%s" hover_sound "audio/battle/hover.wav" action Show("fcmp177")
                else:
                    add "gallery_lock"

                if persistent.i14 or persistent.gallery_unlocked:
                    imagebutton auto "camp002small_%s" hover_sound "audio/battle/hover.wav" action Show("camp002")
                else:
                    add "gallery_lock"

        imagebutton auto "gui/mm_previous_%s.png" xpos 1560 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 2)
        imagebutton auto "gui/mm_next_%s.png" xpos 1740 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 4)

    elif gallery_page_i == 4:
        vbox:
            xalign 0.5
            yalign 0.5
            spacing 40
            hbox:
                spacing 60

                if persistent.i15 or persistent.gallery_unlocked:
                    imagebutton auto "camp003small_%s" hover_sound "audio/battle/hover.wav" action Show("camp003")
                else:
                    add "gallery_lock"

                if persistent.i16 or persistent.gallery_unlocked:
                    imagebutton auto "camp063small_%s" hover_sound "audio/battle/hover.wav" action Show("camp063")
                else:
                    add "gallery_lock"

                if persistent.i17 or persistent.gallery_unlocked:
                    imagebutton auto "vlg036small_%s" hover_sound "audio/battle/hover.wav" action Show("vlg036")
                else:
                    add "gallery_lock"

            hbox:
                spacing 60
                if persistent.i18 or persistent.gallery_unlocked:
                    imagebutton auto "vlg049small_%s" hover_sound "audio/battle/hover.wav" action Show("vlg049")
                else:
                    add "gallery_lock"

                if persistent.i19 or persistent.gallery_unlocked:
                    imagebutton auto "vlg091small_%s" hover_sound "audio/battle/hover.wav" action Show("vlg091")
                else:
                    add "gallery_lock"

                if persistent.i20 or persistent.gallery_unlocked:
                    imagebutton auto "vlg101small_%s" hover_sound "audio/battle/hover.wav" action Show("vlg101")
                else:
                    add "gallery_lock"

        imagebutton auto "gui/mm_previous_%s.png" xpos 1560 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 3)
        imagebutton auto "gui/mm_next_%s.png" xpos 1740 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 5)


    elif gallery_page_i == 5:
        vbox:
            xalign 0.5
            yalign 0.5
            spacing 40
            hbox:
                spacing 60

                if persistent.i21 or persistent.gallery_unlocked:
                    imagebutton auto "vlg125small_%s" hover_sound "audio/battle/hover.wav" action Show("vlg125")
                else:
                    add "gallery_lock"

                if persistent.i22 or persistent.gallery_unlocked:
                    imagebutton auto "vlg136small_%s" hover_sound "audio/battle/hover.wav" action Show("vlg136")
                else:
                    add "gallery_lock"

                if persistent.i23 or persistent.gallery_unlocked:
                    imagebutton auto "vlg153small_%s" hover_sound "audio/battle/hover.wav" action Show("vlg153")
                else:
                    add "gallery_lock"

            hbox:
                spacing 60
                if persistent.i23 or persistent.gallery_unlocked:
                    imagebutton auto "vlg154small_%s" hover_sound "audio/battle/hover.wav" action Show("vlg154")
                else:
                    add "gallery_lock"

                if persistent.i24 or persistent.gallery_unlocked:
                    imagebutton auto "vlg185small_%s" hover_sound "audio/battle/hover.wav" action Show("vlg185")
                else:
                    add "gallery_lock"

                if persistent.i24 or persistent.gallery_unlocked:
                    imagebutton auto "vlg186small_%s" hover_sound "audio/battle/hover.wav" action Show("vlg186")
                else:
                    add "gallery_lock"

        imagebutton auto "gui/mm_previous_%s.png" xpos 1560 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 4)
        imagebutton auto "gui/mm_next_%s.png" xpos 1740 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 6)

    elif gallery_page_i == 6:
        vbox:
            xalign 0.5
            yalign 0.5
            spacing 40
            hbox:
                spacing 60

                if persistent.i25 or persistent.gallery_unlocked:
                    imagebutton auto "vlg172small_%s" hover_sound "audio/battle/hover.wav" action Show("vlg172")
                else:
                    add "gallery_lock"

                if persistent.i26 or persistent.gallery_unlocked:
                    imagebutton auto "analangelsmall_%s" hover_sound "audio/battle/hover.wav" action Show("analangel")
                else:
                    add "gallery_lock"

                if persistent.i27 or persistent.gallery_unlocked:
                    imagebutton auto "cshot2small_%s" hover_sound "audio/battle/hover.wav" action Show("cshot2")
                else:
                    add "gallery_lock"

            hbox:
                spacing 60
                if persistent.i28 or persistent.gallery_unlocked:
                    imagebutton auto "tr007small_%s" hover_sound "audio/battle/hover.wav" action Show("tr007")
                else:
                    add "gallery_lock"

                if persistent.i29 or persistent.gallery_unlocked:
                    imagebutton auto "dream1small_%s" hover_sound "audio/battle/hover.wav" action Show("dream1")
                else:
                    add "gallery_lock"

                if persistent.i30 or persistent.gallery_unlocked:
                    imagebutton auto "dream2small_%s" hover_sound "audio/battle/hover.wav" action Show("dream2")
                else:
                    add "gallery_lock"

        imagebutton auto "gui/mm_previous_%s.png" xpos 1560 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 5)
        imagebutton auto "gui/mm_next_%s.png" xpos 1740 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 7)

    elif gallery_page_i == 7:
        vbox:
            xalign 0.5
            yalign 0.5
            spacing 40
            hbox:
                spacing 60

                if persistent.i31 or persistent.gallery_unlocked:
                    imagebutton auto "dream7small_%s" hover_sound "audio/battle/hover.wav" action Show("dream7")
                else:
                    add "gallery_lock"

                if persistent.i32 or persistent.gallery_unlocked:
                    imagebutton auto "dream8small_%s" hover_sound "audio/battle/hover.wav" action Show("dream8")
                else:
                    add "gallery_lock"

                if persistent.i33 or persistent.gallery_unlocked:
                    imagebutton auto "dream14small_%s" hover_sound "audio/battle/hover.wav" action Show("dream14")
                else:
                    add "gallery_lock"

            hbox:
                spacing 60
                if persistent.i34 or persistent.gallery_unlocked:
                    imagebutton auto "dream16small_%s" hover_sound "audio/battle/hover.wav" action Show("dream16")
                else:
                    add "gallery_lock"

                if persistent.i35 or persistent.gallery_unlocked:
                    imagebutton auto "dream18small_%s" hover_sound "audio/battle/hover.wav" action Show("dream18")
                else:
                    add "gallery_lock"

                if persistent.i36 or persistent.gallery_unlocked:
                    imagebutton auto "dream19small_%s" hover_sound "audio/battle/hover.wav" action Show("dream19")
                else:
                    add "gallery_lock"

        imagebutton auto "gui/mm_previous_%s.png" xpos 1560 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 6)
        imagebutton auto "gui/mm_next_%s.png" xpos 1740 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 8)

    elif gallery_page_i == 8:
        vbox:
            xalign 0.5
            yalign 0.5
            spacing 40
            hbox:
                spacing 60

                if persistent.i37 or persistent.gallery_unlocked:
                    imagebutton auto "dream22small_%s" hover_sound "audio/battle/hover.wav" action Show("dream22")
                else:
                    add "gallery_lock"

                if persistent.i38 or persistent.gallery_unlocked:
                    imagebutton auto "angel002small_%s" hover_sound "audio/battle/hover.wav" action Show("angel002")
                else:
                    add "gallery_lock"

                if persistent.i38 or persistent.gallery_unlocked:
                    imagebutton auto "angel004small_%s" hover_sound "audio/battle/hover.wav" action Show("angel004")
                else:
                    add "gallery_lock"

            hbox:
                spacing 60
                if persistent.i39 or persistent.gallery_unlocked:
                    imagebutton auto "angel026small_%s" hover_sound "audio/battle/hover.wav" action Show("angel026")
                else:
                    add "gallery_lock"

                if persistent.i39 or persistent.gallery_unlocked:
                    imagebutton auto "angel033small_%s" hover_sound "audio/battle/hover.wav" action Show("angel033")
                else:
                    add "gallery_lock"

                if persistent.i40 or persistent.gallery_unlocked:
                    imagebutton auto "demon003small_%s" hover_sound "audio/battle/hover.wav" action Show("demon003")
                else:
                    add "gallery_lock"

        imagebutton auto "gui/mm_previous_%s.png" xpos 1560 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 7)
        imagebutton auto "gui/mm_next_%s.png" xpos 1740 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 9)

    elif gallery_page_i == 9:
        vbox:
            xalign 0.5
            yalign 0.5
            spacing 40
            hbox:
                spacing 60

                if persistent.i40 or persistent.gallery_unlocked:
                    imagebutton auto "demon005small_%s" hover_sound "audio/battle/hover.wav" action Show("demon005")
                else:
                    add "gallery_lock"

                if persistent.i40 or persistent.gallery_unlocked:
                    imagebutton auto "demon010small_%s" hover_sound "audio/battle/hover.wav" action Show("demon010")
                else:
                    add "gallery_lock"

                if persistent.i40 or persistent.gallery_unlocked:
                    imagebutton auto "demon021small_%s" hover_sound "audio/battle/hover.wav" action Show("demon021")
                else:
                    add "gallery_lock"

            hbox:
                spacing 60

                null
                null
                null

        imagebutton auto "gui/mm_previous_%s.png" xpos 1560 ypos 1030 focus_mask True action SetVariable("gallery_page_i", 8)

    hbox:
        xalign 0.5
        yalign 0.99
        if not persistent.gallery_unlocked:
            textbutton ("Unlock images/scenes") action SetVariable("persistent.gallery_unlocked", True)
        elif persistent.gallery_unlocked:
            textbutton ("Lock unwatched images/scenes") action SetVariable("persistent.gallery_unlocked", False)

    fixed:
        imagebutton auto "gui/mm_return_%s.png" xpos 0 ypos 1030 focus_mask True action ShowMenu("gallerymenu")



screen f008():
    imagebutton:
        idle "f008"
        action Hide("f008")

screen f023():
    imagebutton:
        idle "f023"
        action Hide("f023")

screen kt063():
    imagebutton:
        idle "kt063"
        action Hide("kt063")

screen nt025():
    imagebutton:
        idle "nt025"
        action Hide("nt025")

screen mr014():
    imagebutton:
        idle "mr014"
        action Hide("mr014")

screen mr016():
    imagebutton:
        idle "mr016"
        action Hide("mr016")

screen mr027():
    imagebutton:
        idle "mr027"
        action Hide("mr027")

screen nbs001():
    imagebutton:
        idle "nbs001"
        action Hide("nbs001")

screen nbs013():
    imagebutton:
        idle "nbs013"
        action Hide("nbs013")

screen nt026():
    imagebutton:
        idle "nt026"
        action Hide("nt026")

screen ff004():
    imagebutton:
        idle "ff004"
        action Hide("ff004")

screen ff008():
    imagebutton:
        idle "ff008"
        action Hide("ff008")

screen fcmp026():
    imagebutton:
        idle "fcmp026"
        action Hide("fcmp026")

screen fcmp063():
    imagebutton:
        idle "fcmp063"
        action Hide("fcmp063")

screen fcmp140():
    imagebutton:
        idle "fcmp140"
        action Hide("fcmp140")

screen fcmp157():
    imagebutton:
        idle "fcmp157"
        action Hide("fcmp157")

screen fcmp177():
    imagebutton:
        idle "fcmp177"
        action Hide("fcmp177")

screen camp002():
    imagebutton:
        idle "camp002"
        action Hide("camp002")

screen camp003():
    imagebutton:
        idle "camp003"
        action Hide("camp003")

screen camp063():
    imagebutton:
        idle "camp063"
        action Hide("camp063")

screen vlg036():
    imagebutton:
        idle "vlg036"
        action Hide("vlg036")

screen vlg049():
    imagebutton:
        idle "vlg049"
        action Hide("vlg049")

screen vlg091():
    imagebutton:
        idle "vlg091"
        action Hide("vlg091")

screen vlg101():
    imagebutton:
        idle "vlg101"
        action Hide("vlg101")

screen vlg125():
    imagebutton:
        idle "vlg125"
        action Hide("vlg125")

screen vlg136():
    imagebutton:
        idle "vlg136"
        action Hide("vlg136")

screen vlg153():
    imagebutton:
        idle "vlg153"
        action Hide("vlg153")

screen vlg154():
    imagebutton:
        idle "vlg154"
        action Hide("vlg154")

screen vlg172():
    imagebutton:
        idle "vlg172"
        action Hide("vlg172")

screen vlg185():
    imagebutton:
        idle "vlg185"
        action Hide("vlg185")

screen vlg186():
    imagebutton:
        idle "vlg186"
        action Hide("vlg186")

screen vlg199():
    imagebutton:
        idle "vlg199"
        action Hide("vlg199")

screen tr007():
    imagebutton:
        idle "tr007"
        action Hide("tr007")

screen cshot2():
    imagebutton:
        idle "cshot2"
        action Hide("cshot2")

screen analangel():
    imagebutton:
        idle "analangel"
        action Hide("analangel")

screen dream1():
    imagebutton:
        idle "dream1"
        action Hide("dream1")

screen dream2():
    imagebutton:
        idle "dream2"
        action Hide("dream2")

screen dream7():
    imagebutton:
        idle "dream7"
        action Hide("dream7")

screen dream8():
    imagebutton:
        idle "dream8"
        action Hide("dream8")

screen dream14():
    imagebutton:
        idle "dream14"
        action Hide("dream14")

screen dream16():
    imagebutton:
        idle "dream16"
        action Hide("dream16")

screen dream18():
    imagebutton:
        idle "dream18"
        action Hide("dream18")

screen dream19():
    imagebutton:
        idle "dream19"
        action Hide("dream19")

screen dream22():
    imagebutton:
        idle "dream22"
        action Hide("dream22")

screen angel002():
    imagebutton:
        idle "angel002"
        action Hide("angel002")

screen angel004():
    imagebutton:
        idle "angel004"
        action Hide("angel004")

screen angel026():
    imagebutton:
        idle "angel026"
        action Hide("angel026")

screen angel033():
    imagebutton:
        idle "angel033"
        action Hide("angel033")

screen demon003():
    imagebutton:
        idle "demon003"
        action Hide("demon003")

screen demon005():
    imagebutton:
        idle "demon005"
        action Hide("demon005")

screen demon010():
    imagebutton:
        idle "demon010"
        action Hide("demon010")

screen demon021():
    imagebutton:
        idle "demon021"
        action Hide("demon021")
# Decompiled by unrpyc: https://github.com/CensoredUsername/unrpyc
